RDKit: RDKit::MolChemicalFeatureDef Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
RDKit::MolChemicalFeatureDef Class Reference

`#include <MolChemicalFeatureDef.h>`

## Public Types
typedef std::list< boost::shared_ptr< MolChemicalFeatureDef > > | CollectionType

## Public Member Functions
| MolChemicalFeatureDef ()
| MolChemicalFeatureDef (const std::string &smarts, const std::string &family, const std::string &type)
unsigned int | getNumWeights () const
std::vector< double >::iterator | beginWeights ()
std::vector< double >::iterator | endWeights ()
std::vector< double >::const_iterator | beginWeights () const
std::vector< double >::const_iterator | endWeights () const
void | setWeights (const std::vector< double > &weights)
const std::string & | getFamily () const
const std::string & | getType () const
const std::string & | getSmarts () const
void | normalizeWeights ()
const ROMol * | getPattern () const

## Detailed Description

Definition at line 24 of file MolChemicalFeatureDef.h.

## Member Typedef Documentation

typedef std::list<boost::shared_ptr<MolChemicalFeatureDef> > RDKit::MolChemicalFeatureDef::CollectionType

Definition at line 26 of file MolChemicalFeatureDef.h.

## Constructor & Destructor Documentation

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( |  | ) |
| inline

Definition at line 28 of file MolChemicalFeatureDef.h.

RDKit::MolChemicalFeatureDef::MolChemicalFeatureDef | ( | const std::string & | smarts,
|  | const std::string & | family,
|  | const std::string & | type
| ) |  |

## Member Function Documentation

std::vector<double>::iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) |
| inline

Definition at line 33 of file MolChemicalFeatureDef.h.

std::vector<double>::const_iterator RDKit::MolChemicalFeatureDef::beginWeights | ( |  | ) | const
| inline

Definition at line 36 of file MolChemicalFeatureDef.h.

std::vector<double>::iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) |
| inline

Definition at line 34 of file MolChemicalFeatureDef.h.

std::vector<double>::const_iterator RDKit::MolChemicalFeatureDef::endWeights | ( |  | ) | const
| inline

Definition at line 39 of file MolChemicalFeatureDef.h.

const std::string& RDKit::MolChemicalFeatureDef::getFamily | ( |  | ) | const
| inline

Definition at line 51 of file MolChemicalFeatureDef.h.

unsigned int RDKit::MolChemicalFeatureDef::getNumWeights | ( |  | ) | const
| inline

Definition at line 32 of file MolChemicalFeatureDef.h.

const ROMol* RDKit::MolChemicalFeatureDef::getPattern | ( |  | ) | const
| inline

Definition at line 57 of file MolChemicalFeatureDef.h.

Referenced by setWeights().

const std::string& RDKit::MolChemicalFeatureDef::getSmarts | ( |  | ) | const
| inline

Definition at line 53 of file MolChemicalFeatureDef.h.

const std::string& RDKit::MolChemicalFeatureDef::getType | ( |  | ) | const
| inline

Definition at line 52 of file MolChemicalFeatureDef.h.

void RDKit::MolChemicalFeatureDef::normalizeWeights | ( |  | ) |

void RDKit::MolChemicalFeatureDef::setWeights | ( | const std::vector< double > & | weights | ) |
| inline

Definition at line 43 of file MolChemicalFeatureDef.h.

References RDKit::ROMol::getNumAtoms(), and getPattern().

The documentation for this class was generated from the following file:

- MolChemicalFeatureDef.h